% Newton's solver that uses Matlab's inbuilt FSOLVE 
% to find the u0 by shooting
tic; clc; clear all;
L = 1; % Length of the bar (Normalized)
ts = 32; %same as in periodicity code
ne = ts; %No. of pts at which displacement is calculated
x = 0:L/ne:L;
% Initial guess
U_0 = -0.008; 
u0 = U_0 * x; %Initial Displacement
% Newton's solver
fun = @Periodicsol; %Calls the main function
x0 = u0;
tol=1e-6; % Tolerance user defined
options = optimoptions('fsolve','TolX',tol,'TolFun',tol,'display','iter');
sol = fsolve(fun,x0,options); %Solves for u0 using Newton's solver
toc;
