% Newton's solver that uses Matlab's inbuilt FSOLVE to find
% u0 by shooting (Arc Length Continuation)
tic; clc; clear all;
L = 1;
ts = 32; %same as in periodicity code
ne = ts; 
x = 0:L/ne:L;
u0 = -0.004*x;
u0 = [u0';3.5]; % Initial Guess [u0 ; T]
ds = 1e-4;
v= ones(length(u0),1);
v(end) = -1;
x_prevous=u0;
tol=1e-6;
options = optimoptions('fsolve','TolX',tol,'TolFun',tol,'display','iter','MaxFunEvals',200000);
% Arc Length Continuation
for i = 1:5 
     y(i,:)=u0;
     v=v/norm(v);    % normalize
     fun =@ Periodicsol;
     fun2=@(x) v'*(x-u0)-ds;
     fun3=@(x) [fun(x)';fun2(x)];
     [sol,~,~,~,J] = fsolve(fun3,u0,options);
     v=J\[zeros(length(x),1);-1];
     u0 = sol;
end
toc;
