function F = Periodicsol(u0)
E = 1; rho = 1; L = 1; % (Normalized)
c = sqrt(E/rho); % Wave velocity
gap = 0.001; % Initial gap
var = L/c;
t_ini = 0;
% Use one t_fin based on the type of continuation used
t_fin = 3.25; % Parametric Continuation 
t_fin = u0(end); % Arc Length Continuation
ts = 32; 
t = t_ini:var/ts:(t_fin+(var/ts));
array_length = length(t);
ne = ts; %No. of pts at which the displacement is calculated
x = 0:L/ne:L; %Pts at which the displacement is calculated
u1 = zeros(array_length,1); %u1 is the displacement at u(0,t)
p2 = zeros(array_length,1); %p2 is the flux at p(L,t)
[I_u1,I_u2] = initialdispatboundary(t,x,L,c,u0); % u0 is discretized
[u2,p1,u1,p2,t] = boundaryvaluesic(u1,p2,t,ts,L,c,I_u1,I_u2,gap);
[I_u] = initialdispdomain(t,x,L,c,I_u1,I_u2,u0);
u = calcdispic(u1,u2,p1,p2,L,x,t,c,ts,I_u);
[v_x] = calcvelocity(u,x,t,gap);
for i = 1:length(x)
    F(i) = u(i,array_length-1)-u0(i);
end
end
