function [u] = calcdispic(u1,u2,p1,p2,L,x,t,c,ts,I_u,I_v,gap)
%This function uses the internal point equation and all the BCs 
%to find the displacement inside the domain
array_length_domain = length(x);
array_length = length(t);
delta_t = t(2) - t(1);
t_0 = t(1);
var = L/c;
for j = 1: (array_length_domain)
    xi = x(j);
    var1 = L-xi;
    var2 = xi;
    con1 = c*t_0 + var1;
    con2 = c*t_0 + var2;
    for i = 1:array_length
        if c*t(i) - con1 <= 2.2204e-14
            t_con1 = t(i);
        end
        if c*t(i) - con2 <= 2.2204e-14
            t_con2 = t(i);
        end
    end
    indexing3 = find(t - t_con1 >= 0);
    index3 = indexing3(1);
    indexing4 = find(t - t_con2 >= 0);
    index4 = indexing4(1);
    for i = 1:array_length
        p1sum = 0; %initialised it
        p2sum = 0; %initialised it
        if i>index3
            for n = 1:i-index3
                p2sum = p2sum + p2(n);
            end
        end
        if i>index4
            for n = 1:i-index4
                p1sum = p1sum + p1(n);
            end
        end
        if t(i) < var1/c && t(i) < var2/c
            u(j,i) = (p1sum + p2sum)*(c*delta_t*0.5) + I_u(j,i) + I_v(j,i);
        elseif t(i) >= var1/c && t(i) < var2/c
            index1 = abs(t - (t(i) - var1/c)) < (0.01*var/ts);
            u(j,i) = 0.5 * u2(index1) + (p1sum + p2sum)*(c*delta_t*0.5) + I_u(j,i) + I_v(j,i);
        elseif t(i) < var1/c && t(i) >= var2/c
            index2 = abs(t - (t(i) - var2/c)) < (0.01*var/ts);
            u(j,i) = 0.5 * u1(index2) + (p1sum + p2sum)*(c*delta_t*0.5) + I_u(j,i) + I_v(j,i);
        elseif t(i) >= var1/c && t(i) >= var2/c
            index1 = abs(t - (t(i) - var1/c)) < (0.01*var/ts);
            index2 = abs(t - (t(i) - var2/c)) < (0.01*var/ts);
            u(j,i) = 0.5 * (u2(index1) + u1(index2)) + (p1sum + p2sum)*(c*delta_t*0.5) + I_u(j,i) + I_v(j,i);
        end
        if abs(u(j,i)) <= 2.2204e-14
            u(j,i) = 0;
        end %matlab numerical error correction
    end
end
end

