function [I_u] = initialdispdomain(t,x,L,c,I_u1,I_u2)
%Initial Displacement inside the domain 
%This function calculates the domain integral I_u for the internal points
array_length = length(t); array_length_domain = length(x);
I_u = zeros (array_length_domain,array_length);
for j = 1:array_length_domain
    xi = x(j);
for k = 1:array_length
    variable1 = xi+c*t(k);
    variable2 = xi-c*t(k);
    if xi == 0
        I_u(1,k) = I_u1(k,1);
    elseif xi == L
        I_u(array_length_domain,k) = I_u2(k,1);
    else        
            if (variable1) < L && (variable2) > 0
                I_u (j,k) = 0.5 * (initialdispinput(variable1,L) + initialdispinput(variable2,L));
            elseif (variable1) < L
                I_u (j,k) = 0.5 * initialdispinput(variable1,L);
            elseif (variable2) > 0
                I_u (j,k) = 0.5 * initialdispinput(variable2,L);
            else
                I_u (j,k) = 0;
            end
    end
end
end
end
