function [I_v1,I_v2] = initialvelatboundary(t,x,L,c)
%Initial velocity at the Boundary (x=0 and x=L) 
%This function calculates the domain integral I_v for the boundary points 
array_length = length(t);
array_length_domain = length(x);
I_v1 = zeros (array_length,1);
I_v2 = zeros (array_length,1);
delta_l = x(2) - x(1);
delta_l = delta_l/128;
for k = 1:array_length
    variable = c*t(k);
for j = 1:array_length_domain
    xi = x(j); 
        if xi == 0
            alpha = 0;
            if variable == 0
                beta = 0;
            elseif variable - L <= 0
                beta = variable;
            elseif variable - L > 0
                beta = L;
            end
            for p = alpha:delta_l:(beta-delta_l)
               I_v1 (k,1) = I_v1(k,1) + (1/(2*c)) * initialvelinput(p) * delta_l;
            end
        elseif xi == L
            if variable == 0
                alpha = L;
            elseif variable - L < 0
                alpha = L - variable;
            elseif variable - L >= 0
                alpha = 0;
            end
            beta = L;
            for p = alpha:delta_l:(beta-delta_l)
               I_v2 (k,1) = I_v2(k,1) + (1/(2*c)) * initialvelinput(p) * delta_l;
            end
        end
end
end
end



