function [I_v] = initialveldomain(t,x,L,c,I_v1,I_v2)
%Initial velocity inside the domain 
%This function calculates the domain integral I_v for the internal points
delta_l = x(2) - x(1);
array_length = length(t);
array_length_domain = length(x);
I_v = zeros(array_length_domain,array_length);
delta_l = delta_l/128;
for k = 1:array_length
    variable = c*t(k);
for j = 1:array_length_domain
    xi = x(j); 
        if xi == 0
            I_v(j,k) = I_v1(k,1);
        elseif xi == L
            I_v(j,k) = I_v2(k,1);
        else
            if xi - variable <= 0
                alpha = 0;
            elseif xi - variable > 0
                alpha = xi - variable;
            end
            if xi + variable == 0
                beta = 0;
            elseif xi + variable >= L
                beta = L;
            else
                beta = xi + variable;
            end
            for p = alpha:delta_l:(beta-delta_l)
                I_v (j,k) = I_v(j,k) + (1/(2*c)) * initialvelinput(p) * delta_l;
            end
        end
end
end
end



