%Displacement of a Bar with no external forcing
%\rho A \ddot{u} - EAu,_{xx} = 0
clc; clear all; 
E = 1; % Young's Modulus of the bar (Normalized)
rho = 1; % Density of the bar (Normalized)
L = 1; % Length of the bar (Normalized)
c = sqrt(E/rho); % Wave Velocity
gap = 0.001; % Initial Gap
var = L/c;
t_ini = 0;
t_fin = 4;
ts=64; % Choose ts>1 since c*delta_t<L. To avoid machine epsilon use ts=2^n
delta_t = var/ts;
t = t_ini:delta_t:t_fin;
array_length = length(t);
t_0 = t(1);
ne = ts; %No. of pts at which the displacement is calculated
x = 0:L/ne:L; %Pts at which the displacement is calculated
delta_L = x(2) - x(1);
array_length_domain = length(x);
u1 = zeros(array_length,1); %u1 is the displacement at u(0,t)
p2 = zeros(array_length,1); %p2 is the flux at p(L,t)
[I_u1,I_u2] = initialdispatboundary(t,x,L,c);
[I_v1,I_v2] = initialvelatboundary(t,x,L,c);
[u2,p1,u1,p2,t] = boundaryvaluesic(u1,p2,t,ts,L,c,I_u1,I_u2,I_v1,I_v2,gap);
[I_u] = initialdispdomain(t,x,L,c,I_u1,I_u2);
[I_v] = initialveldomain(t,x,L,c,I_v1,I_v2);
u = calcdispic(u1,u2,p1,p2,L,x,t,c,ts,I_u,I_v,gap); 
